Generation Framework

## org.eclipse.gmf.graphdef.codegen
Class MapModeCodeGenStrategy.RuntimeMapModeFromPluginClass

    java.lang.Object
      org.eclipse.gmf.graphdef.codegen.MapModeCodeGenStrategy
          org.eclipse.gmf.graphdef.codegen.MapModeCodeGenStrategy.RuntimeUnspecifiedMapMode
              org.eclipse.gmf.graphdef.codegen.MapModeCodeGenStrategy.RuntimeMapModeFromPluginClass

Enclosing class:
  MapModeCodeGenStrategy

public static class MapModeCodeGenStrategy.RuntimeMapModeFromPluginClass
extends MapModeCodeGenStrategy.RuntimeUnspecifiedMapMode

Nested Class Summary

Nested classes inherited from class org.eclipse.gmf.graphdef.codegen.MapModeCodeGenStrategy
`MapModeCodeGenStrategy.RuntimeMapModeFromPluginClass, MapModeCodeGenStrategy.RuntimeUnspecifiedMapMode, MapModeCodeGenStrategy.StaticIdentityMapMode`

Constructor Summary
`MapModeCodeGenStrategy.RuntimeMapModeFromPluginClass(ImportAssistant importAssistant, java.lang.String pluginActivatorClassFQN)`

Method Summary
`ImportAssistant` `getImportAssistant()`
`protected java.lang.String` `getMapModeAccessor()`

Methods inherited from class org.eclipse.gmf.graphdef.codegen.MapModeCodeGenStrategy.RuntimeUnspecifiedMapMode
`DPtoLP, LPtoDP`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapModeCodeGenStrategy.RuntimeMapModeFromPluginClass

    public MapModeCodeGenStrategy.RuntimeMapModeFromPluginClass(ImportAssistant importAssistant,
                                                                java.lang.String pluginActivatorClassFQN)

Method Detail

### getImportAssistant

    public ImportAssistant getImportAssistant()

### getMapModeAccessor

    protected java.lang.String getMapModeAccessor()

  Overrides:
    `getMapModeAccessor` in class `MapModeCodeGenStrategy.RuntimeUnspecifiedMapMode`

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.